# $Revision: 1.9 $, $Date: 2003/08/18 20:43:19 $
%define GPC_VERSION	20030507
%define GCC_VERSION	3.2.1

Summary:	GNU Pascal Compiler
Summary(pl):	Kompilator Pascala GNU
Name:		gpc
Version:	%{GPC_VERSION}
Release:	1
License:	GPL
Group:		Development/Languages
Source0:	ftp://gcc.gnu.org/pub/gcc/releases/gcc-%{GCC_VERSION}/gcc-%{GCC_VERSION}.tar.gz
# Source0-md5:	82c26f362a6df7d2ba5b967606bd7d9a
Source1:	http://www.gnu-pascal.de/alpha/%{name}-%{version}.tar.gz
# Source1-md5:	f63312c3fe961518bf63964705799e57
URL:		http://www.free-pascal.de/
BuildRequires:	autoconf
Buildroot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A Pascal compiler based on the gcc %{GCC_VERSION} compiler.

GNU Pascal is part of the GNU compiler family, GNU CC or GCC. It
combines a Pascal front-end with the proven GNU C back-end for code
generation and optimization. Unlike utilities such as p2c, this is a
true compiler, not just a converter.

%description -l pl
Kompilator Pascala oparty o wersj %{GCC_VERSION} kompilatora gcc.

GNU Pascal stanowi cz rodziny kompilatorw GNU, GNU CC lub GCC.
czy on w sobie nakadk pascalow ze sprawdzonym w GNU C wewntrznym
mechanizmem generacji kodu i optymalizacji. W odrnieniu od narzdzi
takich jak p2c, jest to prawdziwy kompilator, a nie tylko konwerter.

%prep
%setup -q -n gcc-%{GCC_VERSION} -a 1
mv gpc-*/p gcc/.
cd gcc
patch -s -p1 < p/diffs/gcc-%{GCC_VERSION}.diff

%build
cd gcc
#%{__autoconf}
cd ..
rm -rf obj-%{_target_platform}
install -d obj-%{_target_platform} && cd obj-%{_target_platform}

CFLAGS="%{rpmcflags}" \
CXXFLAGS="%{rpmcflags}" \
TEXCONFIG=false ../configure \
        --prefix=%{_prefix} \
        --infodir=%{_infodir} \
        --enable-shared \
%ifnarch sparc sparc64
        --enable-threads=posix \
        --enable-haifa \
%endif
        --with-gnu-as \
        --with-gnu-ld \
        --disable-nls \
        --build=%{_target_platform} \
        --host=%{_target_platform} \
	--enable-languages=pascal

PATH=$PATH:/sbin:%{_sbindir}
touch  ../gcc/c-gperf.h

cd ..
%{__make} -C obj-%{_target_platform} bootstrap \
        LDFLAGS_FOR_TARGET="%{rpmldflags}" \
        mandir=%{_mandir} \
        infodir=%{_infodir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/lib,%{_datadir}}

cd obj-%{_target_platform}
PATH=$PATH:/sbin:%{_sbindir}

%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	mandir=$RPM_BUILD_ROOT%{_mandir} \
	infodir=$RPM_BUILD_ROOT%{_infodir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
#%doc gcc/p/README p/COPYING gcc/p/COPYING.LIB gcc/p/ChangeLog
#%doc gcc/p/FAQ p/INSTALL gcc/p/doc/TODO
#%doc gcc/p/doc/manual.texi.tar.gz
#%doc gcc/p/demos gcc/p/test
%attr(0755, root, root) %{_bindir}/gpc*
%attr(755,root,root) %{_libdir}/gcc-lib/%{_target_cpu}*/*/gpc*
%attr(755,root,root) %{_libdir}/gcc-lib/%{_target_cpu}*/*/crt*.o
%attr(755,root,root) %{_libdir}/gcc-lib/%{_target_cpu}*/*/collect2
%{_libdir}/gcc-lib/%{_target_cpu}*/*/units
%{_libdir}/gcc-lib/%{_target_cpu}*/*/include
%{_libdir}/gcc-lib/%{_target_cpu}*/*/libg?c.a
#%{_libdir}/gcc-lib/%{_target_cpu}*/*/SYSCALLS.c.X
%{_infodir}/gpc*
%{_mandir}/man?/gpc*
#%attr(0755, root, root) %{_libdir}/gcc-lib/%{_target_cpu}-redhat-linux/egcs-*/gpc-cpp
#%attr(0755, root, root) %{_libdir}/gcc-lib/%{_target_cpu}-redhat-linux/egcs-*/gpc1
#%{_libdir}/gcc-lib/%{_target_cpu}-redhat-linux/egcs-*/libgpc.a
#%{_libdir}/gcc-lib/%{_target_cpu}-redhat-linux/egcs-*/units

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gpc.spec,v $
Revision 1.9  2003/08/18 20:43:19  undefine
- release 1, stb

Revision 1.8  2003/08/18 20:16:36  undefine
- regenerating autoconf doesn't work

Revision 1.7  2003/08/18 07:59:52  qboosh
- fix-info-dir must be in postun, not preun

Revision 1.6  2003/08/18 07:58:39  qboosh
- killed subshell

Revision 1.5  2003/08/15 13:48:53  ankry
- pl description fix

Revision 1.4  2003/08/15 12:16:58  ankry
- pl translations

Revision 1.3  2003/08/15 11:35:03  undefine
- update to GPC_VERSION 20030507 and GCC_VERSION 3.2.1

Revision 1.2  2003/08/15 00:36:27  undefine
- fix post/pre scripts

Revision 1.1  2003/08/14 23:43:11  undefine
- initial pld version, nfy

* Sat Jul 17 1999 Peter Soos <sp@osb.hu>
- Rebuilt under RedHat Linux 6.0 with egcs
* Wed May 13 1999 Jos Romildo Malaquias <romildo@iceb.ufop.br>
- first build
